export function pluginManager() {
    const plugins = [];
    const registerPlugin = (plugin) => {
        plugins.push(plugin);
        return plugins;
    };
    const runWithPlugins = (input) => {
        let output = input;
        plugins.forEach((plugin) => {
            output = plugin === null || plugin === void 0 ? void 0 : plugin(output);
        });
        return output;
    };
    return {
        registerPlugin,
        runWithPlugins
    };
}
